/*
 * BreadCrumbTrailControlDesigner.cs
 *
 * Bread Crumb Trail Control
 * Version: 2.0
 *
 * Copyright (c) 2004, 2006, TopCoder, Inc. All rights reserved
 *
 * Authors: elefth, Standlove
 *          Pops, TCSDEVELOPER
 */

using System.Web.UI.Design;

namespace TopCoder.Web.UI.WebControl.BreadCrumb
{
    /// <summary>
    /// This is the control designer for the <see cref="BreadCrumbTrailControl"/>.
    /// </summary>
    ///
    /// <remarks>
    /// The control designer will interact with the IDE to provide a custom designer environment.
    /// Currently, this class will always render a dummy path to be displayed by the IDE at design time.
    /// </remarks>
    ///
    /// <threadsafety static="true" instance="true"/>
    public class BreadCrumbTrailControlDesigner : ControlDesigner
    {
        /// <summary>
        /// The design html to return.
        /// </summary>
        private const string DesignHtml = "Root > Level 1 > Level 2";

        /// <summary>
        /// Returns a dummy design time html to be displayed by the IDE.
        /// </summary>
        ///
        /// <returns>
        /// A dummy design time html to be displayed by the IDE.
        /// </returns>
        public override string GetDesignTimeHtml()
        {
            return DesignHtml;
        }
    }
}
