/*
 * ErrorDisposition.cs
 *
 * Bread Crumb Trail Control
 * Version: 2.0
 *
 * Copyright (c) 2004, 2006, TopCoder, Inc. All rights reserved
 *
 * Authors: elefth, Standlove
 *          Pops, TCSDEVELOPER
 */

namespace TopCoder.Web.UI.WebControl.BreadCrumb
{
    /// <summary>
    /// Describes the constants that the various error dispositions can be.
    /// </summary>
    ///
    /// <remarks>
    /// This enumeration will be used by the bread crumb trail control
    /// to determine how to handle any exceptions that occur.
    /// The exceptions can be ignored, rendered, or rethrown.
    /// </remarks>
    public enum ErrorDisposition
    {
        /// <summary>
        /// Ignores all errors silently.
        /// If an exception occurs, it will be ignored and the process will continue.
        /// This enumeration has a value of 0.
        /// </summary>
        SilentlyIgnore,

        /// <summary>
        /// Renders all exception that occurs to the output stream (html writer).
        /// This enumeration has a value of 1.
        /// </summary>
        RenderException,

        /// <summary>
        /// Rethrow the first exception encountered to the IIS engine.
        /// This enumeration has a value of 2.
        /// </summary>
        ThrowException
    }
}
