/*
 * PathDirection.cs
 *
 * Bread Crumb Trail Control
 * Version: 2.0
 *
 * Copyright (c) 2004, 2006, TopCoder, Inc. All rights reserved
 *
 * Authors: elefth, Standlove
 *          Pops, TCSDEVELOPER
 */

namespace TopCoder.Web.UI.WebControl.BreadCrumb
{
    /// <summary>
    /// Describes the values that the path direction can allow.
    /// </summary>
    ///
    /// <remarks>
    /// This enumeration will be used by the bread crumb trail control
    /// to determine the direction to render the path in
    /// </remarks>
    public enum PathDirection
    {
        /// <summary>
        /// Represents a rendering process from root node to current node.
        /// In other words, the first node will be the root node, while the last node is the current node.
        /// This enumeration has a value of 0.
        /// </summary>
        RootToCurrent,

        /// <summary>
        /// Represents a rendering process from current node to root node.
        /// In other words, the first node will be the current node, while the last node is the root node.
        /// This enumeration has a value of 1.
        /// </summary>
        CurrentToRoot
    }
}
