<%@ Page language="c#" AutoEventWireup="true" %>
<%@ Import Namespace="TopCoder.Web.UI.WebControl.BreadCrumb" %>
<%@ Import Namespace="TopCoder.Web.UI.WebControl.BreadCrumb.PathDiscovery" %>

<script runat="server">
    /// Instantiate a XmlPathDiscovery and
    /// call GetPath with the value of Title and Url as given in the form.
    /// The returned array is then displayed on lblCount (the length) and gridPath.
    public void Page_Load()
    {
        if (IsPostBack)
        {
            BreadCrumbNode node = new BreadCrumbNode(tbTitle.Text, tbUrl.Text);
            XmlPathDiscovery path = new XmlPathDiscovery(Server.MapPath("XmlPathDiscovery.xml"));
            BreadCrumbNode[] result = path.GetPath(node, this);

            // make sure sitemap and its reverse site map is stored in Session
            if (!(Session[XmlPathDiscovery.CURRENT_SITEMAP] is IDictionary))
            {
                throw new Exception("Error sitemap should be stored in session");
            }
            if (!(Session[XmlPathDiscovery.CURRENT_SITEMAP_REVERSE] is IDictionary))
            {
                throw new Exception("Error reverse sitemap should be stored in session");
            }

            lblCount.Text = (result == null ? "-1" : result.Length.ToString());
            gridPath.DataSource = result;
            gridPath.DataBind();
        }
        else
        {
            // make sure no sitemap and its reverse site map in Session
            if (Session[XmlPathDiscovery.CURRENT_SITEMAP] != null)
            {
                throw new Exception("Error sitemap should not exist in session");
            }
            if (Session[XmlPathDiscovery.CURRENT_SITEMAP_REVERSE] != null)
            {
                throw new Exception("Error reverse sitemap should not exist in session");
            }
        }
    }
</script>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
    <body>
        <form id="Form1" method="post" runat="server">
            <asp:TextBox id="tbTitle" runat="server"></asp:TextBox>
            <asp:TextBox id="tbUrl" runat="server"></asp:TextBox>
            <asp:Button id="btnGetPath" runat="server" Text="Get Path"></asp:Button>
            <br/>
            <asp:Label id="lblCount" runat="server"></asp:Label>
            <asp:DataGrid id="gridPath" runat="server"></asp:DataGrid>
        </form>
    </body>
</HTML>
